
<% config = @tools_qqoqcp.labels_qqoqcp_config %>

<% # binding.pry
%>

<% if @step_tool && @step_tool.tool_options && (@step_tool.tool_options[:qqoqcp_config].nil? || @step_tool.tool_options[:qqoqcp_config] == '') %>
  <%= simple_form_for_horizontal(@tools_qqoqcp) do |f| %>
    <div class="row">
      <div class="col-9">
        <%= f.association :labels_qqoqcp_config, label: 'Configuration' %>
      </div>
      <div class="col-3">
        <%= f.submit 'CHANGE', class: 'btn btn-outline-warning btn-prowhy' %>
      </div>
    </div>
  <% end %>
  <hr>
<% end %>

<%= simple_form_for(@tools_qqoqcp) do |f| %>
  <%= f.error_notification %>
  <%= f.error_notification message: f.object.errors[:base].to_sentence if f.object.errors[:base].present? %>

  <!-- QQOQCP PARAMETRABLE -->
  <% # binding.pry %>
  <% if config %>
    <% area_opts = {'cols' => 24, 'rows' => config.nb_lines} %>
    <table class="trex_list" style="text-align: center;width:100%;">
      <tr>
        <th style="width:60px;font-size:16px;"></th>
        <% if config.show_is %> <th class="title"><%= t(:lbl_is, scope:[:tools, :qqoqcps, :edit]) %></th><% end %>
        <% if config.show_isnot %> <th class="title"><%= t(:lbl_is_not, scope:[:tools, :qqoqcps, :edit]) %></th><% end %>
        <% if config.show_info %> <th class="title"><%= t(:lbl_info, scope:[:tools, :qqoqcps, :edit]) %></th><% end %>
      </tr>

      <% #@tools_qqoqcp.qqoqcp_values.each do |value| %>
      <%= f.simple_fields_for :qqoqcp_values, @tools_qqoqcp.qqoqcp_values_from_config do |line_form| %>
        <tr>
          <th class="title_noimg title_qoqc">
            <%= line_form.object.labels_qqoqcp_line.name %>
            <br><%= tool_help_text('Tools::Qqoqcp', line_form.object.labels_qqoqcp_line.internal_name) %>
          </th>
          <% if config.show_is %>
            <td class="champs"><%= line_form.input :is_value, label: false, input_html: area_opts %></td>
          <% end %>
          <% if config.show_isnot %>
            <td class="champs"><%= line_form.input :isnot_value, label: false, input_html: area_opts %></td>
          <% end %>
          <% if config.show_info %>
            <td class="champs"><%= line_form.input :info_value, label: false, input_html: area_opts %></td>
          <% end %>
        </tr>
      <% end %>
    </table>

  <!-- QQOQCP BASIQUE -->
  <% else %>
    <%#= render partial: 'form_simple', locals: {f: f} %>
  <% end %>

  <div class="form-inputs">
    <%#= f.association :rca %>
    <%#= f.input :tool_reference %>
  </div>

  <div class="form-actions">
    <%= f.button :submit, class: 'btn btn-outline-warning btn-prowhy' %>
  </div>
<% end %>
